# JavaArray : Object
Return to: HTML DOM Level 0 index

A Java array that is wrapped in JavaScript and can be accessed by JavaScript code.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | no | 2.0+ | 7.0+ | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
JavaArray Constructor() : JavaArray Creates a new instance of a JavaArray object. | Show Details | no | no | 2.0+ | 7.0+ | no

### JavaArray() : JavaArray

Creates a new instance of a JavaArray object.

Returns

JavaArray |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
length : Number Number of elements in the Java array. | No Details | no | no | 2.0+ | 7.0+ | no

## References

getClass|JavaClass|JavaObject|JavaPackage|Window.java

## Availability

JavaScript 1.1

text_javascript aptana_docs